FUNCTION OPERATOR==(3)

NAME
boost::mpi::operator== - Determines whether two process groups are identical.

SYNOPSIS

// In header: <boost/mpi/group.hpp>
BOOST_MPI_DECL bool operator==(const group & g1, const group & g2);

DESCRIPTION

Equivalent to calling MPI_Group_compare and checking whether the result is MPI_IDENT.

Returns:
    True when the two process groups contain the same processes in the same order.